Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class RootPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.ComplexPanel
                      com.google.gwt.user.client.ui.AbsolutePanel
                          com.google.gwt.user.client.ui.RootPanel

All Implemented Interfaces:
  EventListener, HasWidgets, IndexedPanel, java.lang.Iterable<Widget>

    public class RootPanel

extends AbsolutePanel

The panel to which all other widgets must ultimately be added. RootPanels are never created directly. Rather, they are accessed via `get()`.

Most applications will add widgets to the default root panel in their `EntryPoint.onModuleLoad()` methods.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Method Summary
`static RootPanel` | `get()` Gets the default root panel.
`static RootPanel` | `get(java.lang.String id)` Gets the root panel associated with a given browser element.
`static Element` | `getBodyElement()` Convenience method for getting the document's body element.

Methods inherited from class com.google.gwt.user.client.ui.AbsolutePanel
`add, add, getWidgetLeft, getWidgetTop, remove, setWidgetPosition`

Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel
`add, adjustIndex, checkIndexBoundsForAccess, checkIndexBoundsForInsertion, getChildren, getWidget, getWidgetCount, getWidgetIndex, insert, insert, iterator, remove`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`adopt, adopt, clear, disown, doAttachChildren, doDetachChildren, onLoad, onUnload, orphan`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onAttach, onBrowserEvent, onDetach, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### get

    public static RootPanel get()

  Gets the default root panel. This panel wraps body of the browser's document. This root panel can contain any number of widgets, which will be laid out in their natural HTML ordering. Many applications, however, will add a single panel to the RootPanel to provide more structure.

  Returns:
    the default RootPanel

### get

    public static RootPanel get(java.lang.String id)

  Gets the root panel associated with a given browser element. For this to work, the HTML document into which the application is loaded must have specified an element with the given id.

  Parameters:
    `id` - the id of the element to be wrapped with a root panel
  Returns:
    the root panel, or `null` if no such element was found

### getBodyElement

    public static Element getBodyElement()

  Convenience method for getting the document's body element.

  Returns:
    the document's body element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD